# Assets API: Inputs

## GET /api/assets/inputs/{content}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/assets/inputs/{content}":{"get":{"tags":["Assets API: Inputs"],"parameters":[{"name":"content","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## PUT /api/assets/inputs/{content}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ModifyInput":{"type":"object","properties":{"ContainerId":{"type":"string","format":"uuid"},"ContentId":{"type":"string","format":"uuid"},"ContainerType":{"type":"string","nullable":true},"ContentHtml":{"type":"string","nullable":true},"ContentLabel":{"type":"string","nullable":true},"ContentLanguage":{"type":"string","nullable":true},"ContentSnip":{"type":"string","nullable":true},"ContentText":{"type":"string","nullable":true},"ReferenceFiles":{"type":"string","nullable":true},"ContentSequence":{"type":"integer","format":"int32","nullable":true},"ReferenceCount":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"ValidationFailure":{"type":"object","properties":{"Errors":{"type":"array","items":{"$ref":"#/components/schemas/Problem"},"nullable":true}},"additionalProperties":false},"Problem":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}},"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/assets/inputs/{content}":{"put":{"tags":["Assets API: Inputs"],"parameters":[{"name":"content","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ModifyInput"}},"application/json":{"schema":{"$ref":"#/components/schemas/ModifyInput"}},"text/json":{"schema":{"$ref":"#/components/schemas/ModifyInput"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ModifyInput"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationFailure"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## DELETE /api/assets/inputs/{content}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/assets/inputs/{content}":{"delete":{"tags":["Assets API: Inputs"],"parameters":[{"name":"content","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## HEAD /api/assets/inputs/{content}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}}},"paths":{"/api/assets/inputs/{content}":{"head":{"tags":["Assets API: Inputs"],"parameters":[{"name":"content","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}},"text/json":{"schema":{"type":"boolean"}}}}}}}}}
```

## GET /api/assets/inputs/count

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}}},"paths":{"/api/assets/inputs/count":{"get":{"tags":["Assets API: Inputs"],"parameters":[{"name":"OrganizationId","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"ContainerId","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"ContainerIds","in":"query","schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"ContainerType","in":"query","schema":{"type":"string"}},{"name":"ContentLabel","in":"query","schema":{"type":"string"}},{"name":"ContentLanguage","in":"query","schema":{"type":"string"}},{"name":"Identifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.When","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"Origin.Organization","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.User","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Proxy","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Description","in":"query","schema":{"type":"string"}},{"name":"Origin.Reason","in":"query","schema":{"type":"string"}},{"name":"Origin.Source","in":"query","schema":{"type":"string"}},{"name":"Filter.Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.PageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.Sort","in":"query","schema":{"type":"string"}},{"name":"Filter.Excludes","in":"query","schema":{"type":"string"}},{"name":"Filter.Includes","in":"query","schema":{"type":"string"}},{"name":"Filter.Format","in":"query","schema":{"type":"string"}},{"name":"Texts","in":"query","schema":{"type":"object","additionalProperties":{"type":"string","nullable":true}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"integer","format":"int32"}},"text/json":{"schema":{"type":"integer","format":"int32"}}}}}}}}}
```

## GET /api/assets/inputs

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"InputModel":{"type":"object","properties":{"ContainerId":{"type":"string","format":"uuid"},"ContentId":{"type":"string","format":"uuid"},"ContainerType":{"type":"string","nullable":true},"ContentHtml":{"type":"string","nullable":true},"ContentLabel":{"type":"string","nullable":true},"ContentLanguage":{"type":"string","nullable":true},"ContentSnip":{"type":"string","nullable":true},"ContentText":{"type":"string","nullable":true},"ReferenceFiles":{"type":"string","nullable":true},"ContentSequence":{"type":"integer","format":"int32","nullable":true},"ReferenceCount":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false}}},"paths":{"/api/assets/inputs":{"get":{"tags":["Assets API: Inputs"],"parameters":[{"name":"OrganizationId","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"ContainerId","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"ContainerIds","in":"query","schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"ContainerType","in":"query","schema":{"type":"string"}},{"name":"ContentLabel","in":"query","schema":{"type":"string"}},{"name":"ContentLanguage","in":"query","schema":{"type":"string"}},{"name":"Identifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.When","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"Origin.Organization","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.User","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Proxy","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Description","in":"query","schema":{"type":"string"}},{"name":"Origin.Reason","in":"query","schema":{"type":"string"}},{"name":"Origin.Source","in":"query","schema":{"type":"string"}},{"name":"Filter.Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.PageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.Sort","in":"query","schema":{"type":"string"}},{"name":"Filter.Excludes","in":"query","schema":{"type":"string"}},{"name":"Filter.Includes","in":"query","schema":{"type":"string"}},{"name":"Filter.Format","in":"query","schema":{"type":"string"}},{"name":"Texts","in":"query","schema":{"type":"object","additionalProperties":{"type":"string","nullable":true}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InputModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InputModel"}}}}}}}}}}
```

## POST /api/assets/inputs

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CreateInput":{"type":"object","properties":{"ContainerId":{"type":"string","format":"uuid"},"ContentId":{"type":"string","format":"uuid"},"ContainerType":{"type":"string","nullable":true},"ContentHtml":{"type":"string","nullable":true},"ContentLabel":{"type":"string","nullable":true},"ContentLanguage":{"type":"string","nullable":true},"ContentSnip":{"type":"string","nullable":true},"ContentText":{"type":"string","nullable":true},"ReferenceFiles":{"type":"string","nullable":true},"ContentSequence":{"type":"integer","format":"int32","nullable":true},"ReferenceCount":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"InputModel":{"type":"object","properties":{"ContainerId":{"type":"string","format":"uuid"},"ContentId":{"type":"string","format":"uuid"},"ContainerType":{"type":"string","nullable":true},"ContentHtml":{"type":"string","nullable":true},"ContentLabel":{"type":"string","nullable":true},"ContentLanguage":{"type":"string","nullable":true},"ContentSnip":{"type":"string","nullable":true},"ContentText":{"type":"string","nullable":true},"ReferenceFiles":{"type":"string","nullable":true},"ContentSequence":{"type":"integer","format":"int32","nullable":true},"ReferenceCount":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"ValidationFailure":{"type":"object","properties":{"Errors":{"type":"array","items":{"$ref":"#/components/schemas/Problem"},"nullable":true}},"additionalProperties":false},"Problem":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/assets/inputs":{"post":{"tags":["Assets API: Inputs"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CreateInput"}},"application/json":{"schema":{"$ref":"#/components/schemas/CreateInput"}},"text/json":{"schema":{"$ref":"#/components/schemas/CreateInput"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CreateInput"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InputModel"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationFailure"}}}}}}}}}
```

## GET /api/assets/inputs/search

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"InputMatch":{"type":"object","properties":{"ContentId":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/api/assets/inputs/search":{"get":{"tags":["Assets API: Inputs"],"parameters":[{"name":"OrganizationId","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"ContainerId","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"ContainerIds","in":"query","schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"ContainerType","in":"query","schema":{"type":"string"}},{"name":"ContentLabel","in":"query","schema":{"type":"string"}},{"name":"ContentLanguage","in":"query","schema":{"type":"string"}},{"name":"Identifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.When","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"Origin.Organization","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.User","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Proxy","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Description","in":"query","schema":{"type":"string"}},{"name":"Origin.Reason","in":"query","schema":{"type":"string"}},{"name":"Origin.Source","in":"query","schema":{"type":"string"}},{"name":"Filter.Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.PageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.Sort","in":"query","schema":{"type":"string"}},{"name":"Filter.Excludes","in":"query","schema":{"type":"string"}},{"name":"Filter.Includes","in":"query","schema":{"type":"string"}},{"name":"Filter.Format","in":"query","schema":{"type":"string"}},{"name":"Texts","in":"query","schema":{"type":"object","additionalProperties":{"type":"string","nullable":true}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InputMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InputMatch"}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shiftiq.com/developers/api-v2/navigating-the-api/assets-api-inputs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
